import Component, { IComponentOptions } from '../share/Component';
import types from 'licia/types';
export interface IOptions extends IComponentOptions {
    code?: string;
    language?: string;
    showLineNumbers?: boolean;
    wrapLongLines?: boolean;
}
export default class SyntaxHighlighter extends Component {
    private render;
    private $code;
    constructor(container: HTMLElement, options?: IOptions);
    private initTpl;
    private bindEvent;
    private _render;
    static registerLanguage(name: string, fn: types.AnyFn): void;
    static getLanguage(name: string): any;
}
